# 한국어-한국수어 병렬 말뭉치 ELAN 파일 변환 도구

* koksl-to-elan은 국립국어원에서 제공하는 한국어-한국수어 병렬 말뭉치를 eaf 형식의 파일로 변환해 주는 명령행 기반 도구이다.
* 변환된 eaf 파일은 영상 주석 소프트웨어인 ELAN을 통해 열람이 가능하다.

## 설치

* koksl-to-elan은 python 기반의 명령행 도구이다. 이 도구를 설치하고 사용하기 위해서는 python(버전3.11 이상)과 pip이 미리 설치되어 있어야 한다.
* poworshell 등 명령행 환경에서 pip 명령어를 통해 koksl-to-elan를 설치한다.

```
pip install koksl-to-elan
```


## 말뭉치 파일 변환

* 설치가 완료되면 poworshell 등 명령행 환경에서 koksl 명령어를 이용할 수 있다. 아래와 같이 koksl 명령어와 함께 말뭉치 주석 파일(json)과 영상 파일(mp4)이 모여 있는 폴더의 경로를 입력하면 eaf 파일이 산출된다.

```
koksl "<path_of_corpus>"
```

* 예를 들어 '한국어-한국수어 병렬 말뭉치 2022'가 "D:/koksl2022/" 경로에 저장되어 있다면 아래와 같이 명령어를 입력하여 실행한다.

```
koksl "D:/koksl2022/"
```
* 도구가 입력한 경로의 하위 폴더를 탐색하여 주석 파일과 영상 파일을 찾아내므로 하위 폴더 구성이 어떻게 되어 있든 변환 결과물을 산출한다. 단, 주석 파일과 영상 파일은 압축이 풀려 있는 상태여야 한다.
* 변환이 완료되면 입력한 말뭉치 경로 밑에 "EAF-\<timestamp\>" 형식의 폴더가 생성되고 결과물이 저장된다. 입력한 말뭉치 경로가 "D:/koksl2022/"였다면 "D:/koksl2022/EAF-\<timestamp\>" 폴더에 eaf 파일이 저장된다.

## 파일 열람

* eaf 파일을 열람하려면 ELAN을 설치해야 한다. ELAN 설치 파일은 아래 링크에서 얻을 수 있다.
* https://archive.mpi.nl/tla/elan/download